Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 02 Jun 2022 11:03:45 +0000

Hi Khalid Alamri,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns REMINDER NO.4
Complain#3745302
Order#6371778092

M/S Centrepoint,

Greetings,

I would like to inform you that up to now I have not received my refund amount SR.56 

I have returned the goods since 07/12/2021 

Almost 3 months passed and no money received

Several reminders sent already and no real action from your side

With all the due respect, It not my responsibility that the payment vendor has issues in my refund for 3 months!

Your website stated refund will be from 14-28 days from date of return of the goods I already beyond that

Every time you are informing me to give us some time to resolve the problem  I think 3 months is more than enough if you are going to refund the money to me

I asked for a certain date when  I can get my money and no firm response

I offered to issue for me online credit voucher same amount but also no response 

Please inform if you are not willing to refund my money so that I can escalate this issue to Ministry of Commerce instead of going back and forth

I put in the loop Landmark Customer care in order to evaluate the situation 

Regards,
Gamal El Fakharani 
+966 56 7642262 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4063024